## EomTransform EomTransform |

## Functions

GdkPixbuf * | eom_transform_apply ()
EomTransform * | eom_transform_reverse ()
EomTransform * | eom_transform_compose ()
gboolean | eom_transform_get_affine ()
gboolean | eom_transform_is_identity ()
EomTransform * | eom_transform_identity_new ()
EomTransform * | eom_transform_rotate_new ()
EomTransform * | eom_transform_flip_new ()
EomTransform * | eom_transform_scale_new ()
EomTransform * | eom_transform_new ()
EomTransformType | eom_transform_get_transform_type ()

## Types and Values

enum | EomTransformType
struct | EomTransform

## Object Hierarchy

        GObject
        ╰── EomTransform

## Description

## Functions

### eom_transform_apply ()

    GdkPixbuf *
    eom_transform_apply (EomTransform *trans,
                         GdkPixbuf *pixbuf,
                         EomJob *job);

Applies the transformation in `trans` to `pixbuf` , setting its progress in `job` .

#### Parameters

trans | a EomTransform |
pixbuf | a GdkPixbuf |
job | a EomJob |

#### Returns

A new GdkPixbuf with the transformation applied.

[transfer full]

### eom_transform_reverse ()

    EomTransform *
    eom_transform_reverse (EomTransform *trans);

Creates the reverse transformation of `trans`

#### Parameters

trans | a EomTransform |

#### Returns

a new transformation.

[transfer full]

### eom_transform_compose ()

    EomTransform *
    eom_transform_compose (EomTransform *trans,
                           EomTransform *compose);

#### Parameters

trans | a EomTransform |
compose | another EomTransform |

#### Returns

a new transform.

[transfer full]

### eom_transform_get_affine ()

    gboolean
    eom_transform_get_affine (EomTransform *trans,
                              cairo_matrix_t *affine);

### eom_transform_is_identity ()

    gboolean
    eom_transform_is_identity (EomTransform *trans);

### eom_transform_identity_new ()

    EomTransform *
    eom_transform_identity_new (void);

### eom_transform_rotate_new ()

    EomTransform *
    eom_transform_rotate_new (int degree);

### eom_transform_flip_new ()

    EomTransform *
    eom_transform_flip_new (EomTransformType type);

### eom_transform_scale_new ()

    EomTransform *
    eom_transform_scale_new (double sx,
                             double sy);

### eom_transform_new ()

    EomTransform *
    eom_transform_new (EomTransformType trans);

### eom_transform_get_transform_type ()

    EomTransformType
    eom_transform_get_transform_type (EomTransform *trans);

## Types and Values

### enum EomTransformType

#### Members

EOM_TRANSFORM_NONE |  |
EOM_TRANSFORM_ROT_90 |  |
EOM_TRANSFORM_ROT_180 |  |
EOM_TRANSFORM_ROT_270 |  |
EOM_TRANSFORM_FLIP_HORIZONTAL |  |
EOM_TRANSFORM_FLIP_VERTICAL |  |
EOM_TRANSFORM_TRANSPOSE |  |
EOM_TRANSFORM_TRANSVERSE |  |

### struct EomTransform

    struct EomTransform;